#!/bin/sh
# http://www.diracvideo.org
SRC_URL=http://www.diracvideo.org/download/schroedinger
DOC_URL=http://www.diracvideo.org/download
# 
# Library for decoding and encoding video in the Dirac format
#
# script by: til <rob DOT til DOT freedman AT googlemail DOT com>

CWD=$(pwd)
set -e -u -x

# schroedinger
version=1.0.10

build=${build:-'66.1'}
arch=${arch:-i686}
#cpu=pentium-m
cpu=${cpu:-i686}

TMP=${TMP:-$CWD/tmp}
pkgname=schroedinger-$version
package=$pkgname-$arch-$build

PKG_DEP="cxxlibs,gcc,orc"
PKG_SRC="ttp://zenwalk.pinguix.com/user-accounts/tilderb/extra/l/schroedinger/build-schroedinger.sh
$SRC_URL/$pkgname.tar.gz"

# check source exists
for url in $PKG_SRC;do [ ! -e ${url##*/} ] && wget -N -c $url; done

PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p $SRC $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/$pkgname.tar.gz --strip-components=1 -C $SRC
cd $SRC
./autogen.sh
./configure --help

CFLAGS="-O2 -march=$arch -mtune=$cpu " \
CXXFLAGS="-O2 -march=$arch -mtune=$cpu " \
 ./configure --prefix=/usr  --disable-static --with-html-dir=/usr/doc/$pkgname/

make || exit 1
make install DESTDIR=$PKG

# api docs
rm $PKG/usr/doc/$pkgname/schroedinger/index.sgml
tar cjf $PKG/usr/doc/$pkgname/schroedinger_html.tar.bz2 \
     -C $PKG/usr/doc/$pkgname schroedinger
 rm -fr $PKG/usr/doc/$pkgname/schroedinger

# more docs
cp AUTHORS COPYING* NEWS TODO $PKG/usr/doc/$pkgname
echo $DOC_URL >$PKG/usr/doc/$pkgname/docs.url

# strip symbols
find $PKG | xargs -r file | grep "executable\|shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded
find $PKG | xargs -r file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip -g

# copy build script
cp $CWD/build-schroedinger.sh $PKG/usr/src/$pkgname

# slack description
#           |-----handy-ruler------------------------------------------------------|
cat <<EOF > $PKG/install/slack-desc
schroedinger: schroedinger (Library for (en)decoding video in the Dirac format)
schroedinger:
schroedinger: Library for decoding and encoding video in the Dirac format.
schroedinger: It is implemented in ANSI C and optimized through the us of liboil.
schroedinger: libschro is written as a collaboration between the BBC Research and
schroedinger: Development, David Schleef and Fluendo.
EOF

find $PKG -type d -empty | xargs -r rmdir
cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
echo -n $PKG_DEP >$package.dep
echo "$PKG_SRC" >$package.src
md5sum $package.txz >$package.md5

#rm -fr $SRC $PKG
